View Issue Details

IDProjectCategoryView StatusLast Update
0012958MediaMonkey 4Synchronizationpublic2016-12-09 10:51
Reporterrusty Assigned To 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version4.1.9 
Target Version4.1.10Fixed in Version4.1.10 
Summary0012958: Wi-Fi sync shouldn't degrade album art resolution
DescriptionAs described at 0009987 and reported at http://www.mediamonkey.com/forum/viewtopic.php?f=21&t=82922, MMW's Media Server serves tracks with album art resized to 320x320. In current builds, this resizing of Album Art is also applied to content that is synced via Wi-Fi (in contrast to USB sync which syncs the artwork at full resolution).

Per offline discussion it was agreed that Wi-Fi Sync should respect users who wish to have hi-res artwork. So in the short term, MM should sync the original artwork (resolution & format) over Wi-Fi sync (rather than the resized format used for UPnP).

Note: we had also discussed resizing to e.g. 720x720 .jpg (since we know that the current conversion implementation already works for most devices) for Wi-Fi sync, but rejected it since there's not much of a benefit.

To clarify: Will syncing with the new settings result in an update of all existing artwork on a device?

Additional InformationIf needed, in the future, we can add new functionality for:

o per-profile resizing settings. e.g. something like the following (which uses existing strings) in Device Profile > Options > Tagging > following 'Sync all Artwork to the folders' & 'Copy Artwork to file tags':

'Artwork' - 'Max. resolution:' ________________^ [320x320, 720x720, ['Original']]
 . . Format: ___^ [jpg, png, original]

It would have the effect of resizing artwork (or leaving it as is) for both folders and tags?

o per UPnP server resizing settings in the Media Server settings, so that UPnP server could also serve at higher resolution (but independently of the resolution chosen for Wi-Fi sync).
TagsNo tags attached.
Fixed in build1767

Relationships

related to 0009754 closedmartin MediaMonkey for Android Album Art is shown as low quality in player 
related to 0009987 assignedLudek MediaMonkey 4 Add support for high resolution Artwork over DLNA/UPnP 
related to 0013032 feedbackrusty MediaMonkey 4 Support for changing cover image format during sync. 
related to 0013720 closedLudek MediaMonkey 4 Wi-Fi Sync: Updated Album Art is not synced even track is synced 

Activities

Ludek

2015-11-14 13:50

developer   ~0043308

Last edited: 2015-11-14 17:57

View 5 revisions

I found a performance glitch, JPEG images lower than 320px were unnecessarily converted to 320px although they were only e.g. 110px.

In case of WiFi sync we should offer the original resolution as suggested...

Fixed in build 4.1.10.1767

Note that I am not sure how other formats like bmp,thm,png are supported on Androids, I still keep the jpg format, but the original resolution is preserved now. The already synced tracks aren't affected. Only the newly synced via 1767+

peke

2015-11-20 21:15

developer   ~0043356

Verified 1767

rusty

2015-11-23 00:06

administrator   ~0043370

Can you confirm how this was verified? i.e.

- What is the outcome for USB sync?
- Any change/regressions for sync to iOS devices? or non-Android MTP devices?

Thanks.

peke

2015-11-24 23:44

developer   ~0043396

re verified 1769

- USB and Wi-Fi Original Res is used
- Synched with touch 4g no regressions